Summary:	Icon naming utility
Summary(pl.UTF-8):	Narzędzie do nadawania nazw ikonom
Name:		icon-naming-utils
Version:	0.8.90
Release:	1%{?tld}
License:	GPL
Group:		Applications
Source0:	http://tango.freedesktop.org/releases/%{name}-%{version}.tar.bz2
# Source0-md5:	dd8108b56130b9eedc4042df634efa66
Patch0:		%{name}-paths.patch
URL:		http://tango.freedesktop.org/Standard_Icon_Naming_Specification
BuildRequires:	autoconf >= 2.52
BuildRequires:	automake
BuildRequires:	perl-XML-Simple
BuildRequires:	perl-base >= 5
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	rpmbuild(macros) >= 1.446
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This utility maps the icon names used by the GNOME and KDE desktops to
the icon names proposed in the Icon Naming Specification.

%description -l pl.UTF-8
Narzędzie to adaptuje nazwy ikon używanych przez środowiska GNOME i
KDE do nazw zaproponowanych w standardzie Icon Naming Specification.

%prep
%setup -q
%patch0 -p1

%build
%{__aclocal}
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README
%attr(755,root,root) %{_bindir}/icon-name-mapping
%{_datadir}/%{name}
%{_npkgconfigdir}/icon-naming-utils.pc
%changelog
* Tue Apr 23 2024 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/icon-naming-utils.git;a=log;h=3eba0200e7b6e8fc6ef927b7f711a9939a2494a9

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> 3eba020
- drop obsolete and outdated manual inclusion of rpm macros

* Fri Jan 25 2013 Jakub Bogusz <qboosh@pld-linux.org> 31f1903
- use _npkgconfigdir macro, more verbose files

* Sat Dec 04 2010 Jan Palus <jan.palus@gmail.com> e6c47db
- updated to: 0.8.90

* Sun Jun 15 2008 Marcin Banasiak <marcin.banasiak@gmail.com> 545e793
- updated to 0.8.7

* Tue Aug 28 2007 Marcin Banasiak <marcin.banasiak@gmail.com> 7a5bd2a
- updated to 0.8.6

* Tue Aug 28 2007 Marcin Banasiak <marcin.banasiak@gmail.com> fb33cde
- updated for 0.8.6

* Sun Feb 25 2007 Marcin Banasiak <marcin.banasiak@gmail.com> a74a711
- updated to 0.8.2

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 7873746
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 3dd60f4
- converted to UTF-8

* Mon Aug 21 2006 freetz <freetz@pld-linux.org> 2789f38
- 0.8.1

* Tue Aug 08 2006 freetz <freetz@pld-linux.org> 8e2c9fe
- 0.8.0

* Tue Jul 25 2006 freetz <freetz@pld-linux.org> 16a8c6c
- 0.7.4

* Wed Jul 12 2006 freetz <freetz@pld-linux.org> 11836a2
- 0.7.3, source download url update

* Wed May 10 2006 freetz <freetz@pld-linux.org> 001df6b
- 0.7.2

* Sat Apr 15 2006 Jakub Bogusz <qboosh@pld-linux.org> 21812cc
- removed pkgconfigdir change from paths patch, really noarch now

* Sat Apr 15 2006 Jakub Bogusz <qboosh@pld-linux.org> fa7992f
- leave pkgconfigdir in datadir (noarch package)

* Tue Mar 21 2006 czarny <czarny@pld-linux.org> 703b383
- up to 0.7.1

* Sat Feb 18 2006 freetz <freetz@pld-linux.org> 1fdfc48
- 0.7.0

* Sun Feb 05 2006 freetz <freetz@pld-linux.org> 25ad8ce
- 0.6.7

* Tue Jan 24 2006 Jakub Bogusz <qboosh@pld-linux.org> 93f3546
- pkgconfig is not required to use this package

